[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.GetEnumerator

Create an IEnumerator instance

## Declaration

Source position: classesh.inc line 732

`public function TStrings.GetEnumerator: TStringsEnumerator;`

## Description

GetEnumerator is the implementation of the IEnumerable interface for TStrings. It creates a TStringsEnumerator instance and returns it's IEnumerator interface.

## See also

TStringsEnumerator |  | Implements IEnumerator for the TStrings class.
IEnumerator |  | Enumerator support interface
IEnumerable |  | Interface to retrieve an enumerator from a class.